Subject: [bug#69105] [PATCH] gnu: linux-libre-documentation: Fix compilation.

From: Tomas Volf <[email-masked]>
Date: Tue, 20 Feb 2024 19:29:16 +0100

On 2024-02-20 11:56:04 -0500, Leo Famulari wrote:
> On Sun, Feb 18, 2024 at 05:46:38PM -0500, Leo Famulari wrote:
> > Thanks! Pushed to the 'kernel-updates' branch for testing:
> >
> > https://ci.guix.gnu.org/eval/1128579
>
> It failed to build due to a hash mismatch:
>
> ------
> building path(s) `/gnu/store/1ps7177pmj9f4h8jf4dvrsq1ng6y5wxj-kernel_feat.py?id=c23de7ceae59e4ca5894c3ecf4f785c50c0fa428'
> |   @ build-started /gnu/store/cnjyqmajcv79w9xjbrxrmsq950kfs0c9-kernel_feat.py?id=c23de7ceae59e4ca5894c3ecf4f785c50c0fa428.drv - x86_64-linux /var/log/guix/drvs/cn//jyqmajcv79w9xjbrxrmsq950kfs0c9-kernel_feat.py?id=c23de7ceae59e4ca5894c3ecf4f785c50c0fa428.drv.gz 14230
>
> Starting download of /gnu/store/1ps7177pmj9f4h8jf4dvrsq1ng6y5wxj-kernel_feat.py?id=c23de7ceae59e4ca5894c3ecf4f785c50c0fa428
> From https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/patch/Documentation/sphinx/kernel_feat.py?id=c23de7ceae59e4ca5894c3ecf4f785c50c0fa428...
>
> [K kernel_feat.py                               14.0MiB/s 00:00 | 2KiB transferred
> [K kernel_feat.py                                5.6MiB/s 00:00 | 2KiB transferred
> @ hash-mismatch /gnu/store/1ps7177pmj9f4h8jf4dvrsq1ng6y5wxj-kernel_feat.py?id=c23de7ceae59e4ca5894c3ecf4f785c50c0fa428 sha256 0inw2pl7nh82sw8bhvvzqa61552bisl78yc1nyl2x6dmpyppzrld 0zzs7xfq7mhw30lqssz1ypkf35f3sw1zivz8abd8g8qwfbb6h2aa
> hash mismatch for store item '/gnu/store/1ps7177pmj9f4h8jf4dvrsq1ng6y5wxj-kernel_feat.py?id=c23de7ceae59e4ca5894c3ecf4f785c50c0fa428'
> @ build-failed /gnu/store/cnjyqmajcv79w9xjbrxrmsq950kfs0c9-kernel_feat.py?id=c23de7ceae59e4ca5894c3ecf4f785c50c0fa428.drv - 1 hash mismatch for store item '/gnu/store/1ps7177pmj9f4h8jf4dvrsq1ng6y5wxj-kernel_feat.py?id=c23de7ceae59e4ca5894c3ecf4f785c50c0fa428'
> building path(s) `/gnu/store/6wvmyhb2fz08jgbnfpny2iqrlz4cp1mi-linux-6.6.17.tar.xz'
> ------
>
> https://ci.guix.gnu.org/build/3508584/details

I see, I guess it was a mistake trying to fetch the patch in this way.  I've
sent a v2 that just adds it into the patches/ directory.  I hope that will work
fine.

Have a nice day,
Tomas Volf

--
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.